Class | Bio::FlatFileIndex::Indexer::NameSpaces
In: | lib/bio/io/flatfile/indexer.rb
Parent: | Hash

### Methods

<< add names new

### External Aliases

each_value | -> | each
| alias each_orig each

### Public Class methods

new(*arg)

[Source]

        # File lib/bio/io/flatfile/indexer.rb, line 26
    26:         def initialize(*arg)
    27:           super()
    28:           arg.each do |x|
    29:             self.store(x.name, x)
    30:           end
    31:         end

### Public Instance methods

<<(x)

[Source]

        # File lib/bio/io/flatfile/indexer.rb, line 35
    35:         def <<(x)
    36:           self.store(x.name, x)
    37:         end

add(x)

[Source]

        # File lib/bio/io/flatfile/indexer.rb, line 38
    38:         def add(x)
    39:           self.store(x.name, x)
    40:         end

names()

[Source]

        # File lib/bio/io/flatfile/indexer.rb, line 32
    32:         def names
    33:           self.keys
    34:         end

[Validate]